org.eclnt.jsfserver.util.pagebeancomponents

## Class ComplexValueEditor

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.pagebean.component.PageBeanComponent
    - - org.eclnt.jsfserver.util.pagebeancomponents.ComplexValueEditor

- All Implemented Interfaces:
    IPageBeanComponent, IPageBean, IDynamicContentBindingObject
  Direct Known Subclasses:
    ROWComplexValueEditor

      public class ComplexValueEditor
      extends PageBeanComponent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ComplexValueEditor.IListener`
    `class` | `ComplexValueEditor.LineInfo`

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.pagebean.component.PageBeanComponent

      `PageBeanComponent.ILiteralResolver, PageBeanComponent.LitMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexValueEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBorder()`
    `java.lang.String` | `getComplexValue()`
    `ROWDYNAMICCONTENTBinding` | `getDynContent()`
    `java.lang.String` | `getFieldwidth()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getLabelwidth()`
    `java.util.List<ComplexValueEditor.LineInfo>` | `getLines()`
    `java.lang.String` | `getPadding()`
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `java.lang.String` | `getWidth()`
    `boolean` | `getWithButtons()`
    `void` | `initializePageBean(java.util.Map<java.lang.String,java.lang.String> initData)` See `IPageBean.initializePageBean(Map)`.
    `void` | `onCancelAction(ActionEvent event)`
    `void` | `onOKAction(ActionEvent event)`
    `void` | `prepare(java.util.List<java.lang.String> attributeNames, java.lang.String complexValue, ComplexValueEditor.IListener listener)`
    `void` | `setBorder(java.lang.String border)`
    `void` | `setFieldwidth(java.lang.String fieldwidth)`
    `void` | `setHeight(java.lang.String height)`
    `void` | `setLabelwidth(java.lang.String labelwidth)`
    `void` | `setPadding(java.lang.String padding)`
    `void` | `setWidth(java.lang.String width)`
    `void` | `setWithButtons(boolean withButtons)`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.component.PageBeanComponent

      `findLiteralResourceName, getLayoutPath, getLit, getLiteralResolver, getPageName, readLiteral, setLiteralResolver`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.pagebean.IPageBean

      `closePopup, getActualRootExpression, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, setActualRootExpression`

- - ### Constructor Detail

    - #### ComplexValueEditor

          public ComplexValueEditor()

  - ### Method Detail

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### prepare

          public void prepare(java.util.List<java.lang.String> attributeNames,
                              java.lang.String complexValue,
                              ComplexValueEditor.IListener listener)

    - #### initializePageBean

          public void initializePageBean(java.util.Map<java.lang.String,java.lang.String> initData)

      Description copied from class: `PageBean`
      See `IPageBean.initializePageBean(Map)`. Implementations must call their super-implementation, because the initialized-flag needs to be set after initialization!
      Specified by:
        `initializePageBean` in interface `IPageBean`
      Overrides:
        `initializePageBean` in class `PageBean`

    - #### getDynContent

          public ROWDYNAMICCONTENTBinding getDynContent()

    - #### getLines

          public java.util.List<ComplexValueEditor.LineInfo> getLines()

    - #### getWidth

          public java.lang.String getWidth()

    - #### setWidth

          public void setWidth(java.lang.String width)

    - #### getHeight

          public java.lang.String getHeight()

    - #### setHeight

          public void setHeight(java.lang.String height)

    - #### getLabelwidth

          public java.lang.String getLabelwidth()

    - #### setLabelwidth

          public void setLabelwidth(java.lang.String labelwidth)

    - #### getFieldwidth

          public java.lang.String getFieldwidth()

    - #### setFieldwidth

          public void setFieldwidth(java.lang.String fieldwidth)

    - #### getPadding

          public java.lang.String getPadding()

    - #### setPadding

          public void setPadding(java.lang.String padding)

    - #### getBorder

          public java.lang.String getBorder()

    - #### setBorder

          public void setBorder(java.lang.String border)

    - #### getWithButtons

          public boolean getWithButtons()

    - #### setWithButtons

          public void setWithButtons(boolean withButtons)

    - #### getComplexValue

          public java.lang.String getComplexValue()

    - #### onOKAction

          public void onOKAction(ActionEvent event)

    - #### onCancelAction

          public void onCancelAction(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.